var ws_url = "http://www.meettracker.com/Services/MeetTrackerMobileAppService.asmx";
//var ws_url = "../Services/MeetTrackerMobileAppService.asmx";
var user_id = -1;
var cur_meet_id = -1;
var cur_meet_name = '';
var cur_session_id = -1;
var cur_session_name = '';
var cur_sort_col = 0;
var cur_age_filter = new Array();
var cur_level_filter = new Array();
var cur_gym_filter = new Array();
var cur_gym = '';
var cur_page_limit = -1;
var cur_event_type_id = 1;
var cur_single_gymnast_number = '';
var cur_single_gymnast_score = '';
var cur_added_score_list = new Array();
var state_drop_down_fill = '';
var cur_gymnast_info_data = '';
var bRefreshSession = false;
var cur_selected_state = 'All States';
var ad_from = "http://www.meettracker.com/Images/mta.aspx";
//var ad_from = "../Images/mta.aspx";
var show_ads = true;
var prev_page = '';
var bFiltersSet = false;

function CheckStoredLogin() {
    //window.requestFileSystem(LocalFileSystem.PERSISTENT, 0, gotFS_read, fail);
    CheckUserCredentials();
}

function htmlEncode(value) {
    return $('<div/>').text(value).html();
}

function htmlDecode(value) {
    return $('<div/>').html(value).text();
}


function process_info(evt) {

}

function CheckUserCredentials() {
    var sUserName = null;
    var sPassword = null;
    try
    {
        sUserName = window.localStorage.getItem('meet_tracker_user_name');
        sPassword = window.localStorage.getItem('meet_tracker_password');
    }
    catch (e)
    {
        sUserName = null;
        sPassword = null;
    }
    if (sUserName != null && sUserName.length > 3) {
        LogUserIn(sUserName, sPassword);
    }
    else {
        $.mobile.showPageLoadingMsg('b', 'Loading Meet List...');
        MakeWebServiceCall('GetMeetsForMain', '', 'mtwsGetMeetsForMainReturn');
    }
}

function ProcessLoginPage() {
    var username = $('#page_login_username').val();
    var password = $('#page_login_password').val();
    var bSaveLocal = $('#page_login_save_login_information').prop('checked');
    //Look to clear local storage
    if (username.length == 0 && password.length == 0 && bSaveLocal == true) {
        try
        {
            window.localStorage.setItem('meet_tracker_user_name', username);
            window.localStorage.setItem('meet_tracker_password', password);
            alert('Credentials Cleared');
            return;
        }
        catch (e) {
        }
    }
    if (username.length == 0) {
        ShowMessage('You must enter a username. This is your email address.');
        return;
    }
    if (password.length == 0) {
        ShowMessage('You must enter a password at lease 8 characters in length.');
        return;
    }
    if (bSaveLocal == true) {
        SaveLoginCredentials(username, password);
    }
    LogUserIn(username, password);
}

function SaveLoginCredentials(username, password) {
    try
    {
        window.localStorage.setItem('meet_tracker_user_name', username);
        window.localStorage.setItem('meet_tracker_password', password);
    }
    catch (e) {
    }
}

function LogUserIn(username, password) {
    GetUserIDFromLogin(username, password);
}

function GetUserIDFromLogin(username, password) {
    $.mobile.showPageLoadingMsg('b', 'Checking Credentials...');
    var data = 'sUsername=' + username + '&sPassword=' + password;
    MakeWebServiceCall("GetUserIDFromLogin", data, "mtwsGetUserIDFromLogin");
}

function EnterSiteNoLogin() {
    ShowAdvertising(true);
    $.mobile.showPageLoadingMsg('b', 'Loading Meet List...');
    var params = 'SearchText=&EventType=0&Window=0&Time=5&StateID=-1';
    MakeWebServiceCall('GetEventsBySearch', params, 'mtwsFillSearchResultsList');    
}

function ShowAdvertising(bShow) {
    show_ads = bShow;
}

function MakeWebServiceCall(func_name, params, callback) {
    try
    {
        var ws = new XMLHttpRequest();
        ws.open("POST", ws_url + "/" + func_name, true);
        ws.setRequestHeader("Content-type", "application/x-www-form-urlencoded");
        if (params.length > 0) {
            ws.send('callback=' + callback + '&' + params);
        }
        else {
            ws.send('callback=' + callback);
        }
        ws.onreadystatechange = function () {
            if (ws.readyState == 4 && (ws.status == 200 || ws.status == 0)) {
                if (window.DOMParser) {
                    parser = new DOMParser();
                    xmlDoc = parser.parseFromString(ws.responseText, "text/xml");
                }
                else // Internet Explorer
                {
                    xmlDoc = new ActiveXObject("Microsoft.XMLDOM");
                    xmlDoc.async = false;
                    xmlDoc.loadXML(ws.responseText);
                }
                var vErr = xmlDoc.getElementsByTagName('error')[0];
                var vError = null;
                if (vErr != undefined) {
                    vError = vErr.childNodes[0];  
                }
                if (vError == undefined) {
                    callback = xmlDoc.getElementsByTagName('callback')[0].childNodes[0].textContent;
                    var wsretdata = xmlDoc.getElementsByTagName('data')[0];
                    if (wsretdata.childNodes.length > 0) {
                        data = xmlDoc.getElementsByTagName('data')[0].childNodes[0].textContent;
                        var wsretextradata = xmlDoc.getElementsByTagName('extra_data')[0];
                        if (wsretextradata.childNodes.length > 0)
                            extra_data = xmlDoc.getElementsByTagName('extra_data')[0].childNodes[0].textContent;
                        else
                            extra_data = '';
                    }
                    else {
                        data = '';
                        extra_data = '';
                    }
                    ProcessWebServiceReturn(callback, data, extra_data);
                }
                else {
                    try {
                        ProcessWebServiceError(vError);
                    }
                    catch (exp) {
                        ShowMessage('It Appears that your connection has been lost. Please check your connection or restart the application!');
                    }
                }

            }
            else if (ws.readyState == 4 && (ws.status != 200)) {
                $.mobile.hidePageLoadingMsg();
                ShowMessage('Response- ' + ws.responseText);
            }
        }
    }
    catch (e) {
        SendErrorEmail('MakeWebServiceCall: ' + e.message);
    }
}

function ProcessWebServiceReturn(callback, data, extra_data) {
    try
    {
        switch (callback) {
            case 'mtwsGetUserIDFromLogin':
                if (data[0] == 'Y') {
                    $.mobile.hidePageLoadingMsg();
                    ShowMessage(data);
                    user_id = -1;
                }
                else if (data > 0) {
                    user_id = data;
                }
                $.mobile.hidePageLoadingMsg();
                if (user_id < 0) {
                    ShowAdvertising(true);
                }
                else {
                    data = 'UserID=' + user_id;
                    MakeWebServiceCall('GetShowAdsForUser', data, 'mtwsGetShowAdsForUser');
                }

                $.mobile.showPageLoadingMsg('b', 'Loading Meet List...');

                MakeWebServiceCall('GetMeetsForMain', '', 'mtwsGetMeetsForMainReturn');
                break;
            case 'mtwsGetShowAdsForUser':
                ShowAdvertising(data != "0");
                break;
            case 'mtwsFillSearchResultsList':
                FillSearchResultsList(data, extra_data);
                break;
            case 'mtwsFillSearchStateDropDown':
                FillSearchStateDropDown(data);
                break;
            case 'mtwsAddEventStateDropDown':
                AddEventStateDropDown(data);
                break;
            case 'mtwsFillSessionSelectList':
                FillSessionSelectList(data);
                break;
            case 'mtwsFillSessionGridList':
                FillSessionGridList(data);
                break;
            case 'mtwsSetEventTypeID':
                SetEventTypeID(data);
                break;
            case 'mtwsDisplayAgeFilterPage':
                DisplayAgeFilterPage(data);
                break;
            case 'mtwsDisplayLevelFilterPage':
                DisplayLevelFilterPage(data);
                break;
            case 'mtwsDisplayGymFilterPage':
                DisplayGymFilterPage(data);
                break;
            case 'mtwsAddSingleScoreReturn':
                AddSingleScoreReturn(data);
                break;
            case 'mtwsAddGymnastReturn':
                AddGymnastReturn(data);
                break;
            case 'mtwsAddEventReturn':
                AddEventReturn(data);
                break;
            case 'mtwsDisplayGymnastInformation':
                DisplayGymnastInformation(data);
                break;
            case 'mtwsGetGymnastScoreDetailsReturn':
                GetGymnastScoreDetailsReturn(data);
                break;
            case 'mtwsAddSessionReturn':
                AddSessionReturn(data);
                break;
            case 'mtwsGetActiveParticipantsReturn':
                GetActiveParticipantsReturn(data);
                break;
            case 'mtwsSendSessionEmailLinkReturn':
                SendSessionEmailLinkReturn(data);
                break;
            case 'mtwsSendErrorEmailReturn':
                SendErrorEmailReturn(data);
                break;
            case 'mtwsAddMultipleScoresReturn':
                AddMultipleScoresReturn(data);
                break;
            case 'mtwsRegisterUserReturn':
                RegisterUserReturn(data);
                break;
            case 'mtwsSendLoginCredentialsReturn':
                SendLoginCredentialsReturn(data);
                break;
            case 'mtwsGetSessionsByEventNoShowReturn':
                GetSessionsByEventNoShowReturn(data);
                break;
            case 'mtwsGetMeetsForMainReturn':
                GetMeetsForMainReturn(data, extra_data);
                break;
        }
    }
    catch (e) {
        SendErrorEmail('ProcessWebServiceReturn: ' + e.message);
    }
}

function GetMeetsForMainReturn(data, extra_data) {

    $('#page_home_listview').empty();
    var sDat = data.split('\n');
    var iCount = sDat.length;
    var sFill = '';

    for (var i = 0; i < iCount; i++) {
        var sItems = sDat[i].split('|');
        if (sItems.length < 4)
            continue;

        sFill += '<li onclick="ShowSessionScreen(' + sItems[0] + ',\'' + html_encode(sItems[1]) + '\')">';

        sFill += '<table style="width:100%;"><tr>';
        sFill += '<td colspan="2" align="center">' + sItems[1] + '</td>';
        //sFill += '<td align="center" colspan="2"> <span style="font-size:large; text-align:center;">' + sItems[2] + '</span></td>';
        //sFill += '</tr><tr>';
        //sFill += '<td align="center" colspan="2">' + sItems[3] + '</td>';
        
        sFill += '</tr><tr>';
        sFill += '<td align="left">' + sItems[2] + '</td>';
        sFill += '<td align="right">' + sItems[3] + '</td>';
        
        sFill += '</tr></table>';

        sFill += '</li>';
    }

    Nav_ChangePage('page_home');
    //$.mobile.changePage("#page_home");

    if (user_id > 0)
        $('#page_home_btn_login').hide();

    $('#page_home_header_display').html(unescape(extra_data));

    $('#page_home_listview').html(sFill);
    $('#page_home_listview').listview('refresh');
    $('#page_home_listview').trigger('create');

    if (user_id < 1) {
        $('#page_home_login_button').show();
        $('#page_home_logout_button').hide();
    }
    else {
        $('#page_home_login_button').hide();
        $('#page_home_logout_button').show();
    }


    $.mobile.hidePageLoadingMsg();
}

function LogOutOfMeetTracker() {
    user_id = -1;
    if (is_Web && is_Web == true) {
        try {
            window.localStorage.setItem('meet_tracker_current_data', '');
        }
        catch (e) {
        }
    }
    MakeWebServiceCall('GetMeetsForMain', '', 'mtwsGetMeetsForMainReturn');
}

function GetSearchStateDropDown() {
    if (state_drop_down_fill.length == 0)
        MakeWebServiceCall('GetStates', '', 'mtwsFillSearchStateDropDown');
    else
        FillSearchStateDropDown(state_drop_down_fill);
}

function GetAddEventStateDropDown() {
    if (state_drop_down_fill.length == 0)
        MakeWebServiceCall('GetStates', '', 'mtwsAddEventStateDropDown');
    else
        AddEventStateDropDown(state_drop_down_fill);
}

function GetActiveParticipantsReturn(data) {
    try {
        var p = parseInt(data);
        var sHdr = cur_session_name;
        if (p > 10) {
            sHdr += ' #Users: ' + p.toString();
        }
        $('#page_session_grid_header').html(unescape(sHdr));
    }
    catch (Exception) {
    }
}

function FillSearchStateDropDown(data) {
    if (state_drop_down_fill.length == 0)
        state_drop_down_fill = data;
    $('#time_search_window_ddl_state').empty();
    var sDat = data.split('\n');
    var iCount = sDat.length;
    var sFill = '';
    for (var i = 0; i < iCount; i++) {
        var sItems = sDat[i].split('|');
        sFill += '<option value="' + sItems[0] + '"' + (sItems[2] == cur_selected_state ? 'selected="selected"' : '') + '>' + sItems[2] + '</option>';
    }
    $('#time_search_window_ddl_state').append(sFill);
    $('#time_search_window_ddl_state').trigger('create');
    $('#time_search_window_ddl_state').selectmenu('refresh');
    $.mobile.hidePageLoadingMsg();
}

function SaveCurState() {
    cur_selected_state = $('#time_search_window_ddl_state option:selected').text();
}

function AddEventStateDropDown(data) {
    if (state_drop_down_fill.length == 0)
        state_drop_down_fill = data;
    $('#page_add_event_ddl_state').empty();
    var sDat = data.split('\n');
    var iCount = sDat.length;
    var sFill = '';
    for (var i = 1; i < iCount - 1; i++) {
        var sItems = sDat[i].split('|');
        sFill += '<option value="' + sItems[0] + '"' + (i == 0 ? 'selected="selected"' : '') + '>' + sItems[2] + '</option>';
    }
    $('#page_add_event_ddl_state').append(sFill);
    $('#page_add_event_ddl_state').trigger('create');
    $.mobile.hidePageLoadingMsg();
}

function performSearch() {
    try
    {
        $.mobile.showPageLoadingMsg('b', 'Search In Progress. Please wait...');
        $('#page_meet_list_listview').empty();
        var StartDate = $("#page_meet_search_from_dte").val();
        var EndDate = $("#page_meet_search_to_dte").val();
        //var EventType = $("input[name=time_search_window_rb_boygirl]:checked").val();
        var SearchText = $('#time_search_window_txt_filter').val();
        var StateID = $('#time_search_window_ddl_state').val();
        if (StateID && StateID.length == 0)
            StateID = -1;
        var params = 'SearchText=' + SearchText + '&StartDate=' + StartDate + '&EndDate=' + EndDate + '&StateID=' + StateID;
        MakeWebServiceCall('GetEventsBySearchDateRange', params, 'mtwsFillSearchResultsList');
    }
    catch (e) {
        SendErrorEmail('performSearch: ' + e.message);
    }
}

function addDays(myDate, days) {
    return new Date(myDate.getTime() + days * 24 * 60 * 60 * 1000);
}

function subtractDays(myDate, days) {
    return new Date(myDate.getTime() - (days * 24 * 60 * 60 * 1000));
}

function FillSearchResultsList(data) {
    try
    {
        $.mobile.hidePageLoadingMsg();
        $('#page_meet_list_listview').empty();

        var m_names = new Array("January", "February", "March",
            "April", "May", "June", "July", "August", "September",
            "October", "November", "December");

        var sDat = data.split('\n');
        var iCount = sDat.length;

        $('#page_meet_list_header').html(unescape(extra_data));
        var sFill = "";
        for (var i = 0; i < iCount; i++) {
            var sItems = sDat[i].split('|');
            if (sItems.length < 5)
                continue;
            sFill += '<li onclick="ShowSessionScreen(' + sItems[0] + ',\'' + html_encode(sItems[1]) + '\')">';

            sFill += '<table style="margin:auto;"><tr>';
            sFill += '<td align="center" colspan="2"> <span style="text-align:center;">' + sItems[1] + '</span></td>';
            sFill += '</tr><tr>';
            sFill += '<td align="center">' + sItems[5] + '</td><td align="center">' + sItems[2] + '</td>';
            sFill += '</tr><tr>';
            sFill += '<td align="center" colspan="2">' + sItems[3] + ' - ' + sItems[4] + '</td>';

            sFill += '</tr></table>';
            sFill += '</li>';
        }
        if (sFill == '') {
            var act_page = $.mobile.activePage;
            var search_page = $('#page_meet_search');
            if (act_page.selector != search_page.selector) {
                //$.mobile.changePage($('#page_meet_search'), "slide");
                Nav_ChangePage('page_meet_search');
            }
            var sMsg = 'There are no meets currently active.';
            if (CheckUserLogin() == false) {
                sMsg += '\n\nYou must be logged in first to Add a Meet. Please Login and then an Add Meet button will be displayed.';
            }
            else {
                sMsg += '\n\nUse the Add Event button to add a new meet or Search again.';
            }
            ShowMessage(sMsg);

        }
        else {
            $('#page_meet_list_listview').append(sFill);
            //$.mobile.changePage($('#page_meet_list'), "slide");
            Nav_ChangePage('page_meet_list');
            $('#page_meet_list_listview').listview('refresh');
            $('#page_meet_list_listview').trigger('create');
        }
    }
    catch (e){ 
        SendErrorEmail('FillSearchResultsList: ' + e.message);
    }
}

function ShowSessionScreen(meet_id, meet_name) {
    cur_meet_id = meet_id;
    cur_meet_name = meet_name;
    $('#page_session_list_header').html(unescape(cur_meet_name) + ' - Sessions');
    $.mobile.showPageLoadingMsg('b', 'Loading Meet Sessions. Please wait...');
    $('#page_session_list_listview').empty();
    var params = 'EventID=' + meet_id;
    MakeWebServiceCall('GetSessionsByEvent', params, 'mtwsFillSessionSelectList');
    MakeWebServiceCall('GetEventTypeID', params, 'mtwsSetEventTypeID');
}

function SetEventTypeID(data) {
    cur_event_type_id = data;
}

function RefreshSessionSelectionList(data) {
    try
    {
        var sDat = data.split('\n');
        var iCount = sDat.length;
        var sFill = "";
        for (var i = 0; i < iCount; i++) {
            var sItems = sDat[i].split('|');
            if (sItems.length < 3)
                continue;

            //Get the Gymnast Count
            var eshCount = parseInt(sItems[4]);
            var esCount = parseInt(sItems[5]);
            if (esCount > eshCount)
                eshCount = esCount;

            sFill += '<li onclick="ShowSessionGridScreen(' + sItems[0] + ', \'' + html_encode(sItems[1]) + '\')">';

            sFill += '<table style="margin:auto;"><tr>';
            sFill += '<td align="center" colspan="2"> <span style="text-align:center;">' + sItems[1] + '</span></td>';
            sFill += '</tr><tr>';
            sFill += '<td align="center">' + sItems[2] + '</td><td align="center">' + sItems[3] + '</td>';
           // sFill += '</tr><tr>';
           // sFill += '<td align="center" colspan="2">' + sItems[3] + ' - ' + sItems[4] + '</td>';

            sFill += '</tr></table>';

            //sFill += '<table style="width:400px; margin:auto;"><tr><td>';
            //sFill += 'Name: ' + sItems[1] + '<br />';
            //sFill += 'Active Users: ' + sItems[6] + '<br />';
            //sFill += '</td><td>';
            //sFill += 'Date: ' + sItems[2] + '<br />';
            //sFill += 'Start: ' + sItems[3] + '<br />';
            //sFill += '# Gymnasts: ' + eshCount.toString();
            //sFill += '</td>';

            //sFill += '</tr></table>';

            sFill += '</li>';
        }
        $('#page_session_list_listview').append(sFill);
    }
    catch (e) {
        SendErrorEmail('RefreshSessionSelectionList: ' + e.message);
    }
}

function FillSessionSelectList(data) {
    RefreshSessionSelectionList(data);
    //$.mobile.changePage($('#page_session_list'), "slide");
    Nav_ChangePage('page_session_list');
    $('#page_session_list_listview').listview('refresh');
    $('#page_session_list_listview').trigger('create');
}

function GetSessionsByEventNoShowReturn(data) {
    RefreshSessionSelectionList(data);
}

function ShowSessionGridScreen(session_id, session_name, meet_id) {
    if (session_id != null)
        cur_session_id = session_id;
    else
        session_id = cur_session_id;

    if (session_name != null)
        cur_session_name = session_name;
    else
        session_name = cur_session_name;

    if (meet_id != null) {
        cur_meet_id = meet_id;
        var params = 'EventID=' + cur_meet_id;
        MakeWebServiceCall('GetSessionsByEvent', params, 'mtwsGetSessionsByEventNoShowReturn');
    }

    if (cur_session_id == null)
        return;
    $.mobile.showPageLoadingMsg('b', 'Loading Session Information. Just one more sec....');
    $('#page_session_grid_listview').empty();

    //Build the age filters
    var sAge = '';
    var iLen = cur_age_filter.length;
    if (iLen > 0) {
        sAge += cur_age_filter[0];
    }
    for (i = 1; i < iLen; i++)
    {
        sAge += ',' + cur_age_filter[i];
    }
    sAge = html_encode(sAge);
    sAge = sAge.replace('+', '|(PLUS)|');

    //Build the level filters
    var sLevel = '';
    var iLen = cur_level_filter.length;
    if (iLen > 0) {
        sLevel += cur_level_filter[0];
    }
    for (i = 1; i < iLen; i++)
    {
        sLevel += ',' + cur_level_filter[i];
    }
    sLevel = html_encode(sLevel);
    sLevel = sLevel.replace('+', '|(PLUS)|');

    //Build the gym filters
    var sGym = '';
    var iLen = cur_gym_filter.length;
    if (iLen > 0) {
        sGym += cur_gym_filter[0];
    }
    for (i = 1; i < iLen; i++)
    {
        sGym += ',' + cur_gym_filter[i];
    }
    var params = 'SessionID=' + session_id + '&UserID=' + user_id + '&Age=' + sAge + '&Level=' + sLevel + '&GymName=' + sGym 
			+ '&PageLimit=' + cur_page_limit + '&SortColumn=' + cur_sort_col;
    MakeWebServiceCall('GetSessionGrid', params, 'mtwsFillSessionGridList');
    bRefreshSession = false;
}

function FillSessionGridList(data) {
    try
    {
        if (is_Web && is_Web == true) {
            try
            {
                window.localStorage.setItem('meet_tracker_current_data', getVariableDump());
            }
            catch (e) {
            }
        }
        //Fill in page title
        var params = 'SessionID=' + cur_session_id;
        MakeWebServiceCall('GetActiveParticipants', params, 'mtwsGetActiveParticipantsReturn');
        //First set the header
        $('#page_session_grid_table_header').empty();
        $('#page_session_grid_listview').empty();
        var sHeaderFill = '<table style="font-size:small;width:96%;position:relative;top:-3px">';
        sHeaderFill += '<tr>';

        if (cur_event_type_id == "1") {
            var sStyle = 'style="width:20%;text-align:center;"';
            sHeaderFill += '<td ' + sStyle + ' onclick="SetSortColumn(8)">Num</td>';
            sHeaderFill += '<td ' + sStyle + ' onclick="SetSortColumn(7)">Gymnast</td>';
            sHeaderFill += '<td ' + sStyle + ' onclick="SetSortColumn(11)">Gym</td>';
            sHeaderFill += '<td ' + sStyle + ' onclick="SetSortColumn(10)">Level</td>';
            sHeaderFill += '<td ' + sStyle + ' onclick="SetSortColumn(9)">Age</td>';
        }
        else {
            var sStyle = 'style="width:14%;text-align:left;"';
            sHeaderFill += '<td ' + sStyle + '>ID</td>';
            sHeaderFill += '<td colspan="2"  ' + sStyle + '>Gymnast</td>';
            sHeaderFill += '<td colspan="2"  ' + sStyle + '>Gym</td>';
            sHeaderFill += '<td ' + sStyle + '>Level</td>';
            sHeaderFill += '<td ' + sStyle + '>Age</td>';
        }
        sHeaderFill += '</tr>';
        sHeaderFill += '</table>';
        $('#page_session_grid_table_header').append(sHeaderFill);
        $('#page_session_grid_table_header').trigger('create');

        var sDat = data.split('\n');
        var iCount = sDat.length;
        var sFill = "";

        if (iCount == 2 && sDat[0] == '||||||||||||') {
            if (bFiltersSet == false) {
                sFill += '<li><a href="#" onclick="ShowAddGymnastPage()" data-theme="b" >Add Gymnast</a></li>';
                sFill += '<li><a href="#" onclick="ShowAddScorePage()" data-theme="b" >Add Score</a></li>';
            }
            else {
                ShowMessage('There are no Gymnasts that match the filters set.');
            }
        }
        else {
            for (var i = 0; i < iCount; i++) {
                var sItems = sDat[i].split('|');
                if (sItems.length < 3)
                    continue;
                var gFName = sItems[2];
                if (gFName) {
                    if (gFName.length > 8)
                        gFName = gFName.substring(0, 8);
                }
                else {
                    gFName = '';
                }
                var gLName = sItems[1];
                if (gLName) {
                    if (gLName.length > 8)
                        gLName = gLName.substring(0, 8);
                }
                else {
                    gLName = '';
                }
                var gymName = sItems[5];
                if (gymName) {
                    if (gymName.length > 10)
                        gymName = gymName.substring(0, 10);
                }
                else {
                    gymName = '';
                }
                var gNum = sItems[0];

                for (var iabr = 6; iabr < 13; iabr++) {
                    if (sItems[iabr])
                        sItems[iabr] = sItems[iabr].replace('(', '<br />(');
                    else
                        sItems[iabr] = '';
                }

                var score_width = '12%';
                var total_width = '22%';
                if (cur_event_type_id == "2") {
                    score_width = '10%';
                    total_width = '15%';
                }

                sFill += '<li style="font-size:small" onclick="ShowGymnastDetails(' + sItems[0] + ')">';

                sFill += '<table style="width:100%">';
                sFill += '<tr style="background-color:#ffffff;text-align:center">';

                if (cur_event_type_id == "1")
                    var sStyle = 'style="width:20%;text-align:center;"';
                else
                    var sStyle = 'style="width:14%;text-align:center;"';

                sFill += '<td ' + sStyle + '>' + gNum + '</td>';
                sFill += '<td ' + sStyle + '>' + gFName + ' ' + gLName + '</td>';
                sFill += '<td ' + sStyle + '>' + gymName + '</td>';
                sFill += '<td ' + sStyle + '>' + sItems[4] + '</td>';
                sFill += '<td ' + sStyle + '>' + sItems[3] + '</td>';
                sFill += '</tr><tr>';

                if (cur_event_type_id == "1") {
                    sFill += '<td ' + sStyle + '>VT: ' + sItems[6] + '</td>';
                    sFill += '<td ' + sStyle + '>UB: ' + sItems[7] + '</td>';
                    sFill += '<td ' + sStyle + '>BB: ' + sItems[8] + '</td>';
                    sFill += '<td ' + sStyle + '>FX: ' + sItems[9] + '</td>';
                }
                else {
                    sFill += '<td ' + sStyle + '>FX: ' + sItems[6] + '</td>';
                    sFill += '<td ' + sStyle + '>PH: ' + sItems[7] + '</td>';
                    sFill += '<td ' + sStyle + '>SR: ' + sItems[8] + '</td>';
                    sFill += '<td ' + sStyle + '>VT: ' + sItems[9] + '</td>';
                    sFill += '<td ' + sStyle + '>PB: ' + sItems[10] + '</td>';
                    sFill += '<td ' + sStyle + '>HB: ' + sItems[11] + '</td>';
                }
            

                sFill += '<td ' + sStyle + '>AA: ' + sItems[12] + '</td>';

                sFill += '</tr>';
                sFill += '</table>';

                sFill += '</li>';
            }
        }
        $('#page_session_grid_listview').append(sFill);
        $.mobile.hidePageLoadingMsg();
        //$.mobile.changePage('#page_session_grid', { transition: 'slide' });
        Nav_ChangePage('page_session_grid');
        $('#page_session_grid_listview').listview('refresh');
        $('#page_session_grid_listview').trigger('create');

        if (show_ads == true) {
            $('#div_mob_add').show();
            $('#div_mob_add').html('<iframe width="250px" height="72px" style="border:none;background-color:transparent;overflow: hidden;" src="' + ad_from + '" />').trigger('create');
        }
        else {
            $('#div_mob_add').empty();
        }
        if (bFiltersSet == true) {
            $('#div_filters_set').html('Filters Active').show();
        }
        else {
            $('#div_filters_set').html('').hide();
        }
    }
    catch (e) {
        SendErrorEmail('FillSessionGridList: ' + e.message);
    }
}

function SetLevelFilter() {
    $.mobile.showPageLoadingMsg('b', 'Loading Levels. Just one more sec....');
    var params = 'SessionID=' + cur_session_id;
    MakeWebServiceCall('GetLevelsForSession', params, 'mtwsDisplayLevelFilterPage');
}

function ShowGymnastDetails(GymnastNum) {
    $.mobile.showPageLoadingMsg('b', 'Loading Gymnast Information...');
    var params = 'SessionID=' + cur_session_id + '&UserID=' + user_id + '&ParticipantID=' + GymnastNum;
    MakeWebServiceCall('GetGymnastInformation', params, 'mtwsDisplayGymnastInformation');
}

function DisplayGymnastInformation(data) {
    try
    {
        $.mobile.hidePageLoadingMsg();
        cur_gymnast_info_data = data;
        var sDat = data.split('|');
        $('#page_gymnast_details_number').val(sDat[0]);
        $('#page_gymnast_details_first_name').val(sDat[1]);
        $('#page_gymnast_details_last_name').val(sDat[2]);
        $('#page_gymnast_details_level').val(sDat[3]);
        $('#page_gymnast_details_age').val(sDat[4]);
        $('#page_gymnast_details_gym').val(sDat[5]);

        var params = 'SessionID=' + cur_session_id + '&UserID=' + user_id + '&ParticipantID=' + sDat[0];
        MakeWebServiceCall('GetGymnastScoreDetails', params, 'mtwsGetGymnastScoreDetailsReturn');
    }
    catch (e) {
        SendErrorEmail('DisplayGymnastInformation: ' + e.message);
    }
}

function SaveGymnastInfoChanges() {
    try
    {
        if (CheckUserLogin() == false) return;
        var sDat = cur_gymnast_info_data.split('|');
        var num = $('#page_gymnast_details_number').val();
        if (num.length < 1) {
            ShowMessage("A Gymnast can not be updated without a Number!");
            return;
        }
        var first = $('#page_gymnast_details_first_name').val();
        var last = $('#page_gymnast_details_last_name').val();
        var level = $('#page_gymnast_details_level').val();
        var age = $('#page_gymnast_details_age').val();
        var gym = $('#page_gymnast_details_gym').val();
        if (num != sDat[0] ||
            first != sDat[1] ||
            last != sDat[2] ||
            level != sDat[3] ||
            age != sDat[4] ||
            gym != sDat[5]) {
            AddGymnastMakeCall(num, first, last, level, age, gym);
        }
        //Now check the scores
        var toploop = 5;
        if (cur_event_type_id > 1)
            toploop = 7;
        var sDataRet = '';
        for (i = 1; i < toploop; i++) {
            var vScore = $('#page_gymnast_details_' + i).val();
            if (vScore.length == 0)
                continue;
            var iPos = (i * 3) + 3
            if (vScore != sDat[iPos]) {
                sDataRet += cur_session_id + '|' + user_id + '|' + num + '|' + i + '|' + vScore + ';';
                //AddSingleScoreMakeCall(cur_session_id, user_id, num, i, vScore);
            }
        }
        AddMultipleScores(sDataRet);
        $.mobile.showPageLoadingMsg('b', 'Refreshing Data...');
        //setTimeout('ShowSessionGridScreen(cur_session_id)', 1000);
    }
    catch (e) {
        SendErrorEmail('SaveGymnastInfoChanges: ' + e.message);
    }
}

function SetAgeFilter() {
    $.mobile.showPageLoadingMsg('b', 'Loading Ages. Just one more sec...');
    var params = 'SessionID=' + cur_session_id;
    MakeWebServiceCall('GetAgesForSession', params, 'mtwsDisplayAgeFilterPage');
}

function SetGymFilter() {
    $.mobile.showPageLoadingMsg('b', 'Loading Gyms. Just one more sec...');
    var params = 'SessionID=' + cur_session_id;
    MakeWebServiceCall('GetGymsForSession', params, 'mtwsDisplayGymFilterPage');
}

function SetFilter() {
    $.mobile.changePage('#page_set_filter_select');

    //var sFill = "<ul data-role='listview' style='padding-bottom:15px;'>";
    //sFill += '<li onclick="SetAgeFilter()">Gymnast Age</li>';
    //sFill += '<li onclick="SetLevelFilter()">Competition Level</li>';
    //sFill += '<li rel="close" onclick="ClearAllFilters()">Remove Filters</li>';
    //sFill += "</ul>";
    //sFill += "<a rel='close' data-role='button' href='#'>Close</a>";
    //$('#page_session_grid').simpledialog2({
    //    mode: 'blank',
    //    headerText: 'Filter by:',
    //    //dialogAllow: true,
    //    //dialogForce: true,
    //    headerClose: true,
    //    showModal: true,
    //    blankContent: sFill
    //})
}

function ClearAllFilters() {
    //SetCurrentAgeFilter('');
    //SetCurrentLevelFilter('');
    //SetCurrentGymFilter('');
    cur_age_filter = new Array();
    cur_level_filter = new Array();
    cur_gym_filter = new Array();
    bFiltersSet = false;
    ShowSessionGridScreen();
}

function DisplayAgeFilterPage(data) {
    var sDat = data.split('\n');
    var iCount = sDat.length;
    //var sFill = '<div onclick="SetCurrentAgeFilter(\'\')"><input type="checkbox" value="\'\'" />Clear Age Filter</div>';
    //var sFill = '<div data-role="button"><input type="checkbox" value="\'\'" />Clear Age Filter</div>';
    var sFill = '<table style="width:100%;">';
    for (var i = 0; i < iCount; i++) {
        if (sDat[i].length < 1)
            continue;
        //sFill += '<div rel="close" onclick="SetCurrentAgeFilter(\'' + sDat[i] + '\')">' + sDat[i] + '</div>';
        //sFill += '<div><input type="checkbox" value="' + sDat[i] + '" />' + sDat[i] + '</div>';
        var vIndex = cur_age_filter.indexOf(sDat[i]);
        if (vIndex > -1) {
            sel = 'selected="selected"';
        }
        else {
            sel = '';
        }
        sFill += '<tr><td style="text-align:right;width:50%;"><select name="age_' + sDat[i] + '" id="age_' + sDat[i] + '" data-role="slider" onclick="ApplyAgeFilter(' + sDat[i] + ')">'
            + '<option value="off">Off</option><option value="on"' + sel + '>On</option></select></td><td style="text-align:left;">'
            + '<span style="width:100%;margin-left:10px;">' + sDat[i] + '</span>'
            + '</td></tr>';
    }
    sFill += '</table>';
    $.mobile.hidePageLoadingMsg();
    $.mobile.changePage('#page_filter_display');
    $('#page_filter_display_choices').html("<div>" + sFill + "</div>" );
    $('#page_filter_display_choices').trigger('create');

    //$.mobile.sdCurrentDialog.updateBlank();
    InitializeToggles();
}

function ApplyAgeFilter(age_name) {
    alert(age_name);
}

function DisplayLevelFilterPage(data) {
    var sDat = data.split('\n');
    var iCount = sDat.length;
    //var sFill = '<div rel="close" onclick="SetCurrentLevelFilter(\'\')">Clear Level Filter</div>';
    //var sFill = '<div data-role="button" style="text-align:center"><table><tr><td><input type="checkbox" value="\'\'" /></td><td>Clear Age Filter</td></tr></table></div>';
    var sFill = '<table style="width:100%;">';
    //sFill += '<tr><td style="text-align:right;">';
    //sFill += '<select name="flip-1" id="flip-1" data-role="slider"><option value="off">Off</option><option value="on">On</option></select>';
    //sFill += '</td><td></td></tr>';
    for (var i = 0; i < iCount; i++) {
        if (sDat[i].length < 1)
            continue;
        //sFill += '<div rel="close" onclick="SetCurrentLevelFilter(\'' + sDat[i] + '\')">' + sDat[i] + '</div>';
        //sFill += '<div data-role="button" style="text-align:center"><table><tr><td><input type="checkbox" value="' + sDat[i] + '" /></td><td>' + sDat[i] + '</td></tr></table></div>';
        var vIndex = cur_level_filter.indexOf(sDat[i]);
        if (vIndex > -1) {
            sel = 'selected="selected"';
        }
        else {
            sel = '';
        }
        sFill += '<tr><td style="text-align:right;width:50%;"><select name="level_' + sDat[i] + '" id="level_' + sDat[i] + '" data-role="slider">'
            + '<option value="off">Off</option><option value="on"' + sel + '>On</option></select></td><td style="text-align:left;">'
            + '<span style="width:100%;margin-left:10px;">' + sDat[i] + '</span>'
            + '</td></tr>';
    }
    sFill += '</table>';
    $.mobile.hidePageLoadingMsg();
    $.mobile.changePage('#page_filter_display');
    $('#page_filter_display_choices').html("<div data-role='listview'>" + sFill + "</div>");
    $('#page_filter_display_choices').trigger('create');
    //$.mobile.sdCurrentDialog.updateBlank("<ul data-role='listview'>" + sFill + "</ul>" +
    //  "<a rel='close' data-role='button' href='#'>Close</a>");
    InitializeToggles();
}

function DisplayGymFilterPage(data) {
    var sDat = data.split('\n');
    var iCount = sDat.length;
    //var sFill = '<div onclick="SetCurrentAgeFilter(\'\')"><input type="checkbox" value="\'\'" />Clear Age Filter</div>';
    //var sFill = '<div data-role="button"><input type="checkbox" value="\'\'" />Clear Age Filter</div>';
    var sFill = '<table style="width:100%;">';
    var sel = '';
    for (var i = 0; i < iCount; i++) {
        if (sDat[i].length < 1)
            continue;
        //sFill += '<div rel="close" onclick="SetCurrentAgeFilter(\'' + sDat[i] + '\')">' + sDat[i] + '</div>';
        //sFill += '<div><input type="checkbox" value="' + sDat[i] + '" />' + sDat[i] + '</div>';
        var vIndex = cur_gym_filter.indexOf(sDat[i]);
        if (vIndex > -1) {
            sel = 'selected="selected"';
        }
        else {
            sel = '';
        }
        sFill += '<tr><td style="text-align:right;width:50%;"><select name="gym_' + sDat[i] + '" id="gym_' + sDat[i] + '" data-role="slider">'
            + '<option value="off">Off</option><option value="on"' + sel + '>On</option></select></td><td style="text-align:left;">'
            + '<span style="width:100%;margin-left:10px;">' + sDat[i] + '</span>'
            + '</td></tr>';
    }
    sFill += '</table>';
    $.mobile.hidePageLoadingMsg();
    $.mobile.changePage('#page_filter_display');
    $('#page_filter_display_choices').html("<div>" + sFill + "</div>");
    $('#page_filter_display_choices').trigger('create');
    InitializeToggles();

    //$.mobile.sdCurrentDialog.updateBlank();
}

function InitializeToggles() {
    $(".ui-slider-switch").on('slidestop', function (event) {
        var vVal = $(this).val();
        var vID = this.id;
        var a_type = vID.split('_');
        if (vVal == 'on')
        {
            switch (a_type[0]) {
                case 'age':
                    cur_age_filter.push(a_type[1]);
                    break;
                case 'level':
                    cur_level_filter.push(a_type[1]);
                    break;
                case 'gym':
                    cur_gym_filter.push(a_type[1]);
                    break;
            }
        }
        else
        {
            var iLen = 0;
            var iFound = -1;
            switch (a_type[0]) {
                case 'age':
                    iLen = cur_age_filter.length;
                    for (i = 0; i < iLen; i++) {
                        if (cur_age_filter[i] == a_type[1]) {
                            iFound = i;
                            break;
                        }
                    }
                    if (cur_age_filter.length > 0 && iFound > -1 && iFound < cur_age_filter.length)
                        cur_age_filter.splice(iFound, 1);
                    break;
                case 'level':
                    iLen = cur_level_filter.length;
                    for (i = 0; i < iLen; i++) {
                        if (cur_level_filter[i] == a_type[1]) {
                            iFound = i;
                            break;
                        }
                    }
                    if (cur_level_filter.length > 0 && iFound > -1 && iFound < cur_level_filter.length)
                    cur_level_filter.splice(iFound, 1);
                    break;
                case 'gym':
                    iLen = cur_gym_filter.length;
                    for (i = 0; i < iLen; i++) {
                        if (cur_gym_filter[i] == a_type[1]) {
                            iFound = i;
                            break;
                        }
                    }
                    if (cur_gym_filter.length > 0 && iFound > -1 && iFound < cur_gym_filter.length)
                    cur_gym_filter.splice(iFound, 1);
                    break;
            }
        }
        if (cur_age_filter.length > 0 || cur_level_filter.length > 0 || cur_gym_filter.length > 0) {
            bFiltersSet = true;
        }
        else {
            bFiltersSet = false;
        }
    });
}

function SetGridSort() {
    var sFill = '<button rel="close" data-role="button" onclick="SetSortColumn(8)" data-theme="a">Gymnast Number</button>';
    sFill += '<button rel="close" data-role="button" onclick="SetSortColumn(11)" data-theme="a">Gym</button>';
    sFill += '<button rel="close" data-role="button" onclick="SetSortColumn(10)" data-theme="a">Level</button>';
    sFill += '<button rel="close" data-role="button" onclick="SetSortColumn(9)" data-theme="a">Age</button>';
    if (cur_event_type_id == 1) {
        sFill += '<button rel="close" data-role="button" onclick="SetSortColumn(1)" data-theme="a">Vault</button>';
        sFill += '<button rel="close" data-role="button" onclick="SetSortColumn(2)" data-theme="a">Bars</button>';
        sFill += '<button rel="close" data-role="button" onclick="SetSortColumn(3)" data-theme="a">Beam</button>';
        sFill += '<button rel="close" data-role="button" onclick="SetSortColumn(4)" data-theme="a">Floor</button>';
    }
    else {
        sFill += '<button rel="close" data-role="button" onclick="SetSortColumn(1)" data-theme="a">Floor</button>';
        sFill += '<button rel="close" data-role="button" onclick="SetSortColumn(2)" data-theme="a">Horse</button>';
        sFill += '<button rel="close" data-role="button" onclick="SetSortColumn(3)" data-theme="a">Rings</button>';
        sFill += '<button rel="close" data-role="button" onclick="SetSortColumn(4)" data-theme="a">Vault</button>';
        sFill += '<button rel="close" data-role="button" onclick="SetSortColumn(5)" data-theme="a">P-Bars</button>';
        sFill += '<button rel="close" data-role="button" onclick="SetSortColumn(6)" data-theme="a">H-Bars</button>';
    }
    sFill += '<button rel="close" data-role="button" onclick="SetSortColumn(0)" data-theme="a">All Around</button>';
    $.mobile.changePage('#page_sort_display');
    $('#page_sort_display_choices_list').html(sFill);
    //$('#page_sort_display_choices_list').listview('refresh');
    $('#page_sort_display_choices_list').trigger('create');
    //$('#page_session_grid').simpledialog2({
    //    mode: 'blank',
    //    headerText: 'Choose Sort Column:',
    //    //dialogAllow: true,
    //    //dialogForce: true,
    //    headerClose: true,
    //    showModal: true,
    //    top: '100px',
    //    blankContent:
    //  "<ul data-role='listview' style='padding-bottom:15px;'>" + sFill + "</ul>" +
	//	// NOTE: the use of rel="close" causes this button to close the dialog.
    //  "<a rel='close' data-role='button' href='#'>Close</a>"
    //});
}

function SetCurrentAgeFilter(val) {
    //cur_age_filter = escape(val.replace('+', '|(PLUS)|'));
    //ShowSessionGridScreen(cur_session_id);
    alert('Age Hit');
}

function SetCurrentLevelFilter(val) {
    //cur_level_filter = escape(val.replace('+', '|(PLUS)|'));
    //ShowSessionGridScreen(cur_session_id);
    alert('level Hit');
}

function SetCurrentGymFilter(val) {
    //cur_gym_filter = escape(val.replace('+', '|(PLUS)|'));
    //ShowSessionGridScreen(cur_session_id);
    alert('Gym Hit');
}

function SetSortColumn(colNum) {
    cur_sort_col = colNum;
    ShowSessionGridScreen(cur_session_id);
}

function ButtonPress(btn) {
    $(btn).animate({
        color: "#ffffff"
    }, 1500, '', function () { $(btn).animate({ color: "transparent" }), 500 });
}

function AddValToSingleGymnast(val) {
    //$('#page_add_single_score_gymnast_number').animate({
    //    height: 'toggle'
    //}, 100, function () {
    //    $('#page_add_single_score_gymnast_number').animate({ height: 'toggle' }, 100);
    //});

    if (val == -1) {
        if (cur_single_gymnast_number.length > 0)
            cur_single_gymnast_number = cur_single_gymnast_number.substring(0, cur_single_gymnast_number.length - 1);
    }
    else if (val == -2) {
        cur_single_gymnast_number = '';
    }
    else {
        cur_single_gymnast_number += val;
    }
    $('#page_add_single_score_gymnast_number').html(cur_single_gymnast_number);
}

function AddValToSingleScore(val) {
    $('#page_add_single_score_gymnast_score').animate({
        height: 'toggle'
    }, 100, function () {
        $('#page_add_single_score_gymnast_score').animate({ height: 'toggle' }, 100);
    });
    if (val == -1) {
        if (cur_single_gymnast_score.length > 0)
            cur_single_gymnast_score = cur_single_gymnast_score.substring(0, cur_single_gymnast_score.length - 1);
    }
    else if (val == -2) {
        cur_single_gymnast_score = '';
    }
    else {
        cur_single_gymnast_score += val;
    }
    
    $('#page_add_single_score_gymnast_score').html(cur_single_gymnast_score);
}

function AddSingleScore() {
    if (CheckUserLogin() == false) return;
    var EventType = $('input[name=add_single_score_event]:checked').val();
    //var EventType = $("input[name=time_search_window_rb_boygirl]:checked").val();
    if (!EventType || EventType.length == 0) {
        ShowMessage('Please select the Event!');
        return;
    }
    if (cur_single_gymnast_number.length == 0 || cur_single_gymnast_score.length == 0)
        return;
    $.mobile.showPageLoadingMsg();
    AddSingleScoreMakeCall(cur_session_id, user_id, cur_single_gymnast_number, EventType, cur_single_gymnast_score);
}

function AddSingleScoreMakeCall(session, user, participant, eventscoretype, score) {
    if (CheckUserLogin() == false) return;
    var params = 'SessionID=' + session + '&UserID=' + user + '&ParticipantID=' + participant + '&EventScoreType=' + eventscoretype + '&Score=' + score;
    MakeWebServiceCall('AddSingleScore', params, 'mtwsAddSingleScoreReturn');
}

function AddSingleScoreReturn(data) {
    $.mobile.hidePageLoadingMsg();
    if (data == "1") {
        if (cur_added_score_list.length > 3)
            cur_added_score_list.pop();
        var EventType = $('input[name=add_single_score_event]:checked').val();

        var iFirstDigit = parseInt(cur_single_gymnast_score[0]);
        var scoreDisp = cur_single_gymnast_score;
        var scoreLen = 5;
        if (iFirstDigit == 1) {
            scoreDisp = scoreDisp.substring(0, 2) + "." + scoreDisp.substring(2, scoreDisp.length);
            scoreLen = 6;
        }
        else {
            scoreDisp = scoreDisp.substring(0, 1) + "." + scoreDisp.substring(1, scoreDisp.length);
        }

        while (scoreDisp.length < 5)
            scoreDisp = scoreDisp + '0';

        cur_added_score_list.unshift("Gymnast: " + cur_single_gymnast_number + " Score: " + scoreDisp + " Event: " + GetEventName(EventType));
        var sRet = '';
        for (var i = 0; i < cur_added_score_list.length; i++) {
            sRet += cur_added_score_list[i] + '<br />';
        }
        $('#page_add_single_score_status').html(sRet);
        cur_single_gymnast_number = '';
        cur_single_gymnast_score = '';
        $('#page_add_single_score_gymnast_number').html(cur_single_gymnast_number);
        $('#page_add_single_score_gymnast_score').html(cur_single_gymnast_score);
    }
    else {
        $('#page_add_single_score_status').html("Error Adding Score for " + cur_single_gymnast_number);
        ShowMessage('There was an error adding the last score. Check your internet connection and input values and try again!');
    }
}

function GetEventName(EventType) {
    switch (cur_event_type_id) {
        case "1":
            switch (EventType) {
                case "1":
                    return 'Vault';
                case "2":
                    return 'Bars';
                case "3":
                    return 'Beam';
                case "4":
                    return 'Floor';
                default:
                    return '';
            }
        case "2":
            switch (EventType) {
                case "1":
                    return 'Floor';
                case "2":
                    return 'Horse';
                case "3":
                    return 'Rings';
                case "4":
                    return 'Vault';
                case "5":
                    return 'P-Bars';
                case "6":
                    return 'H-Bars';
                default:
                    return '';
            }
    }
}

function CreateSingleScoreEventTypes() {
    var evts = '';
    if (cur_event_type_id == 1) {
        evts += '<div data-role="controlgroup" data-type="horizontal" >';
        //evts += '<legend></legend>';
        evts += '<input type="radio" id="add_single_score_vault" name="add_single_score_event"  value="1" />';
        evts += '<label for="add_single_score_vault" data-mini="true">VT</label>';
        evts += '<input type="radio" id="add_single_score_bars" name="add_single_score_event"  value="2" />';
        evts += '<label for="add_single_score_bars" data-mini="true">UB</label>';
        evts += '<input type="radio" id="add_single_score_beam" name="add_single_score_event"  value="3" />';
        evts += '<label for="add_single_score_beam" data-mini="true">BB</label>';
        evts += '<input type="radio" id="add_single_score_floor" name="add_single_score_event"  value="4" />';
        evts += '<label for="add_single_score_floor" data-mini="true">FX</label>';
        evts += '</div>';
    }
    else {
        evts += '<div data-role="controlgroup" data-type="horizontal" >';
        //evts += '<legend></legend>';
        evts += '<input type="radio" id="add_single_score_floor" name="add_single_score_event" value="1" />';
        evts += '<label for="add_single_score_floor" data-mini="true">FX</label>';
        evts += '<input type="radio" id="add_single_score_horse" name="add_single_score_event" value="2" />';
        evts += '<label for="add_single_score_horse" data-mini="true">PH</label>';
        evts += '<input type="radio" id="add_single_score_rings" name="add_single_score_event" value="3" />';
        evts += '<label for="add_single_score_rings" data-mini="true">SR</label>';
        evts += '<input type="radio" id="add_single_score_vault" name="add_single_score_event" value="4" />';
        evts += '<label for="add_single_score_vault" data-mini="true">VT</label>';
        evts += '<input type="radio" id="add_single_score_pb" name="add_single_score_event" value="5" />';
        evts += '<label for="add_single_score_pb" data-mini="true">PB</label>';
        evts += '<input type="radio" id="add_single_score_hb" name="add_single_score_event" value="6" />';
        evts += '<label for="add_single_score_hb" data-mini="true">HB</label>';
        evts += '</div>';
    }
    $('#page_add_single_score_event_choices').html(evts);
    $('#page_add_single_score_event_choices').trigger('create');
}

function AddGymnast() {
    if (CheckUserLogin() == false) return;
    var num = $('#page_add_gymnast_number').val();
    var first = $('#page_add_gymnast_first_name').val();
    var last = $('#page_add_gymnast_last_name').val();
    var level = $('#page_add_gymnast_level').val();
    var age = $('#page_add_gymnast_age').val();
    var gym = $('#page_add_gymnast_gym').val();
    if (num.length == 0) {
        ShowMessage('You must add a Number before you can add this gymnast!');
        return;
    }
    AddGymnastMakeCall(num, first, last, level, age, gym);
}

function AddGymnastMakeCall(num, first, last, level, age, gym) {
    if (CheckUserLogin() == false) return;

    $.mobile.showPageLoadingMsg('c', 'Adding Gymnast. Please Wait...');
    var params = 'SessionID=' + cur_session_id + '&UserID=' + user_id + '&ParticipantID=' + num + '&LastName=' + last + '&FirstName=' + first
				+ '&Age=' + age + '&Level=' + level + '&Gym=' + gym;
    params = params.replace('+', '|PLUS|');
    MakeWebServiceCall('AddGymnast', params, 'mtwsAddGymnastReturn');
}

function AddMultipleScores(data) {
    if (CheckUserLogin() == false) return;

    $.mobile.showPageLoadingMsg('c', 'Saving Scores. Please Wait...');
    var params = 'Data=' + data;
    MakeWebServiceCall('AddMultipleScores', params, 'mtwsAddMultipleScoresReturn');
}

function AddMultipleScoresReturn(data) {
    $.mobile.hidePageLoadingMsg();
    if (data != '1') {
        ShowMessage("Some or All of your scores were not able to be posted to the server. Please refresh this screen to see what may havbe been posted.");
    }
    else {
        BackToMeet();
    }

}

function AddGymnastReturn(data) {
    $.mobile.hidePageLoadingMsg();
    if (data == "1") {
        var curPage = $.mobile.activePage;
        var page_id = curPage[0].id;
        if (page_id == 'page_add_gymnast') {
            $('#page_add_gymnast_status').html('Gymnast ' + $('#page_add_gymnast_number').val() + ' added Successfully!');
            $('#page_add_gymnast_number').val('');
            $('#page_add_gymnast_first_name').val('');
            $('#page_add_gymnast_last_name').val('');
        }
        else {
            //Do nothing. The original call will switch to the grid.
        }
    }
    else {
        $('#page_add_gymnast_status').html('There was an Error adding ' + $('#page_add_gymnast_number').val() + ', check your internet connection and try again!');
        ShowMessage('There was an error while trying to add ' + $('#page_add_gymnast_number').val() + '. Please check your connection and try again!');
    }
}

function AddGymnastClearFields() {
    $('#page_add_gymnast_number').val('');
    $('#page_add_gymnast_first_name').val('');
    $('#page_add_gymnast_last_name').val('');
    $('#page_add_gymnast_level').val('');
    $('#page_add_gymnast_age').val('');
    $('#page_add_gymnast_gym').val('');
}

function BackToMeet() {
    //$.mobile.changePage($('#page_session_grid'), { transition: "slide", reverse: true });
    Nav_ChangePage('page_session_grid');
    ShowSessionGridScreen(cur_session_id);
}

function CreateNewMeet() {
    if (CheckUserLogin() == false) return;

    try
    {
        var EventName = $('#page_add_event_name').val();
        var EventType = $("input[name=page_add_event_type]:checked").val();
        var StateID = $('#page_add_event_ddl_state').val();
        var SessionName = $('#page_add_event_session_name').val();
        var StartDate = $('#page_add_event_session_date').val();
        var Hours = $('#page_add_event_slider_hours').val();
        var Minutes = $('#page_add_event_slider_minutes').val();
        var am_pm = $("input[name=page_add_event_am_pm]:checked").val();
        if (am_pm == '2' && Hours != '12') {
            var iHours = parseInt(Hours);
            iHours = iHours + 12;
            Hours = iHours.toString();
        }

        var StartTime = Hours.toString() + ":" + Minutes.toString();
        //var am_pm = $("input[name=page_add_event_am_pm]:checked").val();

        if (EventName.length == 0) {
            ShowMessage('You must add an Event Name to continue!');
            $('#page_add_event_name').focus();
            return;
        }

        if (SessionName.length == 0) {
            ShowMessage('You must add a Session Name to continue!');
            $('#page_add_event_session_name').focus();
            return;
        }

        if (StateID < 1) {
            ShowMessage('You must select a State to add a Meet!');
            $('#page_add_event_ddl_state').focus();
            return;
        }

        if (StartDate.length == 0) {
            ShowMessage('You must select a Date to add a Meet!');
            $('#page_add_event_session_date').focus();
            return;
        }

        cur_session_name = SessionName;
        cur_event_type_id = EventType;

        var params = 'EventName=' + EventName + '&EventTypeID=' + EventType + '&StateID=' + StateID
                + '&SessionName=' + SessionName + '&StartDate=' + StartDate + '&StartTime=' + StartTime;
        MakeWebServiceCall('AddEvent', params, 'mtwsAddEventReturn');
    }
    catch (e) {
        SendErrorEmail(e);
    }
}

function AddEventReturn(data) {
    var Session_id = parseInt(data);
    if (Session_id > 0) {
        cur_session_id = Session_id;
        cur_session_name = $('#page_add_event_session_name').val();
        ShowSessionGridScreen();
        //$.mobile.changePage($('#page_session_grid'), 'slide');
    }
    else {
        ShowMessage('There was an error trying to add your meet. Please try again.');
    }
}

function CreateNewSession() {
    if (CheckUserLogin() == false) return;
    var SessionName = $('#page_add_session_name').val();
    var StartDate = $('#page_add_session_date').val();

    var Hours = $('#page_add_session_hours').val();
    var Minutes = $('#page_add_session_minutes').val();
    var am_pm = $("input[name=page_add_session_am_pm]:checked").val();
    if (am_pm == '2') {
        var iHours = parseInt(Hours);
        if (iHours < 12)
            iHours = iHours + 12;
        Hours = iHours.toString();
    }

    var StartTime = Hours.toString() + ":" + Minutes.toString();

    if (SessionName.length == 0) {
        ShowMessage('You must add a Session Name to continue!');
        $('#page_add_session_name').focus();
        return;
    }

    if (StartDate.length == 0) {
        ShowMessage('You must select a Date to add a Meet!');
        $('#page_add_session_date').focus();
        return;
    }

    cur_session_name = SessionName;

    var params = 'EventID=' + cur_meet_id + '&SessionName=' + SessionName + '&StartDate=' + StartDate + '&StartTime=' + StartTime;
    MakeWebServiceCall('AddSession', params, 'mtwsAddSessionReturn');
    //page_add_session_session_name
}

function AddSessionReturn(data) {
    var Session_id = parseInt(data);
    if (Session_id > 0) {
        cur_session_id = Session_id;
        cur_session_name = $('#page_add_session_name').val();
        $('#page_session_list_listview').empty();
        var params = 'EventID=' + cur_meet_id;
        MakeWebServiceCall('GetSessionsByEvent', params, 'mtwsGetSessionsByEventNoShowReturn');
        bRefreshSession = false;
        ShowSessionGridScreen();
        //$.mobile.changePage($('#page_session_grid'), 'slide');
    }
    else {
        ShowMessage('There was an error trying to add your Session. Please try again.');
    }
    bRefreshSession = false;
}

function ProcessWebServiceError(error) {
    $.mobile.hidePageLoadingMsg();
    //Send Error Email
    SendErrorEmail(error);
    ShowMessage(error.textContent);
}

function SendErrorEmail(msg) {
    $.mobile.hidePageLoadingMsg();
    var emsg = '';
    if (msg.textContent)
        emsg = htmlEncode(msg.textContent);
    else
        emsg = msg;
    var params = 'ErrorMsg=' + emsg + '&VarDump=' + getVariableDump();
    MakeWebServiceCall("SendErrorEmail", params, "mtwsSendErrorEmailReturn");
}

function SendErrorEmailReturn(data) {
    if (data == 1) {

    }
}

function GetGymnastScoreDetailsReturn(data) {
    //Clear the Fields
    $('#page_gymnast_details_scores').empty();

    var sDat = data.split('\n');
    var iCount = sDat.length;

    var sRet = '<table>';
    sRet += '<tr>';
    sRet += '<td>Event</td>';
    sRet += '<td>User</td>';
    sRet += '<td>Group</td>';
    //sRet += '<td>Judge</td>';
    sRet += '<td>New</td>';
    sRet += '</tr>';

    for (var i = 0; i < iCount; i++) {
        var sItems = sDat[i].split('|');
        if (sItems.length < 3)
            continue;
        var gScoreType = sItems[1];
        var gEventDesc = sItems[2];
        var gUserScore = sItems[3];
        var gGroupScore = sItems[4];
        //var gJudgeScore = sItems[5];
        sRet += '<tr>';
        sRet += '<td>' + gEventDesc + '</td>';
        sRet += '<td>' + gUserScore + '</td>';
        sRet += '<td>' + gGroupScore + '</td>';
        //sRet += '<td>' + gJudgeScore + '</td>';
        sRet += '<td><input id="page_gymnast_details_' + gScoreType + '" type="number" value="" /></td>';
        sRet += '</tr>';
    }

    sRet += '</table>';
    if (CheckUserLogin() == true) {
        sRet += '<div data-role="button" data-theme="b" onclick="SaveGymnastInfoChanges()">Save Changes</div>';
    }
    else {
        sRet += '<div>Log into MeetTracker to Add Information</div>';
        sRet += '<a id="page_gymnast_details_btn_login" href="#page_login" data-role="button" data-theme="c" data-icon="arrow-l" data-iconpos="left">Login</a>';
    }
    $('#page_gymnast_details_scores').append(sRet);
    $('#page_gymnast_details_scores').trigger('create');
    //$('#page_gymnast_details_scores').page();
    //$.mobile.changePage('#page_gymnast_details', "slide");
    Nav_ChangePage('page_gymnast_details');
}

function SendSessionEmailLink() {
    $.mobile.showPageLoadingMsg('b', 'Sending Emails...');
    var sEmail = $('#page_email_friend_email').val();
    if (sEmail.indexOf('@') < 2) {
        ShowMessage("This doesn't appear to be a valid email address.");
        return;
    }
    var params = 'UserID=' + user_id + '&SessionID=' + cur_session_id + '&Email=' + sEmail;
    MakeWebServiceCall('SendSessionEmailLink', params, 'mtwsSendSessionEmailLinkReturn');
}

function SendSessionEmailLinkReturn(data) {
    $.mobile.hidePageLoadingMsg();
    if (data == '1') {
        ShowMessage('Link Sent Successfully');
        ShowSessionGridScreen();
    }
}

function EnterRegistrationPage() {
    //$.mobile.changePage('#page_registration', { transition: 'slide', reverse: true });
    Nav_ChangePage('page_registration');
}

function ProcessRegistrationPage() {
    var email = $('#page_registration_email').val();
    var password = $('#page_registration_password').val();
    var cpassword = $('#page_registration_password_confirm').val();

    if (password.length < 8) {
        ShowMessage('Your password must be at least 8 characters.');
        return;
    }
    if (password.length != cpassword.length || password != cpassword) {
        ShowMessage('You password and password confirm do not match!');
        return;
    }

    var params = 'Email=' + email + '&password=' + cpassword;
    MakeWebServiceCall('RegisterUser', params, 'mtwsRegisterUserReturn');
}

function RegisterUserReturn(data) {
    var ret_user_id = parseInt(data);
    if (ret_user_id > 0) {
        var username = $('#page_login_username').val();
        var password = $('#page_login_password').val();
        if (username.length > 0 && password.length > 0)
            SaveLoginCredentials(username, password);
        user_id = ret_user_id;
        //$.mobile.changePage($('#page_meet_search'), 'slide');
        Nav_ChangePage('page_meet_search');
        ShowMessage('Registration Successful! Thank you.');
    }
    else {
        ShowMessage(data);
    }
}

function SendLoginCredentials() {
    var params = 'Email=' + email;
    MakeWebServiceCall('SendLoginCredentials', params, 'mtwsSendLoginCredentialsReturn');
}

function SendLoginCredentialsReturn(data) {
    if (data == "1") {
        ShowMessage("An Email has been sent to " + $('#page_registration_email').val() + " containing your password."); 
        //$.mobile.changePage($('#page_meet_search'), 'slide');
        Nav_ChangePage('page_meet_search');
    }
    else {
        ShowMessage('We could not find your email in our files. Please Contact MeetTracker Support or create a new login!');
    }
}

function onMenuKeyDown() {
    ShowMenu();
}

function onSearchKeyDown() {
    //$.mobile.changePage('#page_meet_search', { transition: 'slide', reverse: true });
    Nav_ChangePage('page_meet_search');
}

function onBackKeyDown() {
    if (prev_page) {
        Nav_ChangePage(prev_page);
        return;
    }
    //var ActionTaken = false;
    //var cur_page = $.mobile.activePage[0].id;
    //if (cur_page == 'page_session_grid') {
    //    if (typeof $.mobile.sdCurrentDialog !== "undefined") {
    //        $.mobile.sdCurrentDialog.close();
    //        ActionTaken = true;
    //    }
    //    var Footer = $('.FooterMenu');
    //    var isShowing = Footer.css('display');
    //    if (isShowing == 'block') {
    //        ActionTaken = true;
    //    }
    //    if (ActionTaken == false) {
    //        SwipeRight();
    //    }
    //}
    //else {
    //    SwipeRight();
    //}
    SwipeRight();
}

function CheckUserLogin(showMessage) {
    if (user_id && user_id > 0) {
        return true;        
    }
    else {
       if (showMessage == true)
            ShowMessage('You must be logged in to Add Information to MeetTracker. Please login first.');
        return false;
    }
}

function ShowDatePicker() {
    var cur_page = $.mobile.activePage[0].id;
    if (cur_page == 'page_add_event')
        $('#page_add_event_session_date').mobiscroll().date();
    else if (cur_page == 'page_add_session')
        $('#page_add_session_date').mobiscroll().date();
    else if (cur_page == 'page_meet_search') {
        $('#page_meet_search_from_dte').mobiscroll().date();
        $('#page_meet_search_to_dte').mobiscroll().date();
    }
}

function ShowAddSessionPage() {
    if (CheckUserLogin() == false) {
        ShowMessage('You must be logged into MeetTracker to add a session!');
    }
    else {
        //$.mobile.changePage('#page_add_session');
        Nav_ChangePage('page_add_session');
    }
}

function ShowAddEventPage(direction) {
    if (CheckUserLogin() == false) {
        ShowMessage('You must be logged into MeetTracker to add an Event!');
    }
    else {
        //$.mobile.changePage('#page_add_event');
        Nav_ChangePage('page_add_event', direction);
    }
}

function ShowSearchPage() {
    //$.mobile.changePage('#page_meet_search');
    Nav_ChangePage('page_meet_search');
}

function ShowHomePage() {
    //$.mobile.changePage('#page_home');
    $.mobile.showPageLoadingMsg('b', 'Loading Meet List...');
    Nav_ChangePage('page_home', 'reverse');
    MakeWebServiceCall('GetMeetsForMain', '', 'mtwsGetMeetsForMainReturn');
}

function ShowEmailLinkPage() {
    //$.mobile.changePage('#page_email_friend');
    Nav_ChangePage('page_email_friend');
}

function ShowAddGymnastPage() {
    if (CheckUserLogin() == false) {
        $('#page_add_gymnast_btn_add').hide();
        ShowMessage('You must be logged into MeetTracker to add information!');
    }
    else {
        $('#page_add_gymnast_btn_add').show();
    }
    //$.mobile.changePage('#page_add_gymnast');
    Nav_ChangePage('page_add_gymnast');
}

function ResetSearchPage() {
    var d = new Date();
    d.setDate(d.getDate() - 3);
    var curr_date = d.getDate();
    var curr_month = d.getMonth() + 1; //Months are zero based
    var curr_year = d.getFullYear();
    $('#page_meet_search_from_dte').val(curr_month + "/" + curr_date + "/" + curr_year);
    d.setDate(d.getDate() + 8);
    curr_date = d.getDate();
    curr_month = d.getMonth() + 1; //Months are zero based
    curr_year = d.getFullYear();
    $('#page_meet_search_to_dte').val(curr_month + "/" + curr_date + "/" + curr_year);
    $('#time_search_window_txt_filter').val('');
}

function ShowAddScorePage() {
    if (CheckUserLogin() == true) {
        //$.mobile.changePage('#page_add_single_score');
        Nav_ChangePage('page_add_single_score');
    }
    else {
        ShowMessage('You must be logged into MeetTracker to add information!');
    }
}

//function ShowAddEventPage() {
//    //$.mobile.changePage('#page_add_event');
//    Nav_ChangePage('page_add_event');
//}

function SwipeLeft() {
    //Generally the forward
    var cur_page = $.mobile.activePage[0].id;
    if (cur_page == 'page_session_grid')
        ShowAddScorePage();
        //$.mobile.changePage('#page_add_single_score', { transition: 'slide' });
    else if (cur_page == 'page_add_single_score')
        ShowAddGymnastPage()
        //$.mobile.changePage('#page_add_gymnast', { transition: 'slide' });
}

function SwipeRight() {
    //Generally the Back
    if (prev_page.length > 0) {
        Nav_ChangePage(prev_page, 'reverse');
        return;
    }

    var cur_page = $.mobile.activePage[0].id;
    if (cur_page == 'page_add_single_score') {
        //$.mobile.changePage('#page_session_grid', { transition: 'slide', reverse: true });
        Nav_ChangePage('page_add_single_score', 'reverse');
        ShowSessionGridScreen();
    }
    else if (cur_page == 'page_session_grid') {
        //$.mobile.changePage('#page_session_list', { transition: 'slide', reverse: true });
        Nav_ChangePage('page_session_list', 'reverse');
    }
    else if (cur_page == 'page_session_list') {
        //$.mobile.changePage('#page_meet_list', { transition: 'slide', reverse: true });
        Nav_ChangePage('page_meet_list', 'reverse');
        //$.mobile.showPageLoadingMsg('b', 'Loading Meets ...');
        // MakeWebServiceCall('GetMeetsForMain', '', 'mtwsGetMeetsForMainReturn');
    }

    else if (cur_page == 'page_add_gymnast') {
        //$.mobile.changePage('#page_add_single_score', { transition: 'slide', reverse: true });
        Nav_ChangePage('page_add_single_score', 'reverse');
    }
    else if (cur_page == 'page_meet_list') {
        //$.mobile.changePage('#page_meet_search', { transition: 'slide', reverse: true });
        Nav_ChangePage('page_meet_search', 'reverse');
    }
}

function ShowMessage(msg) {
    $("<div data-theme='b' class='ui-loader ui-overlay-shadow ui-body-b ui-corner-all'><h1><strong>" + msg + "</strong></h1></div>")
    .css({
        "display": "block", "opacity": 0.96, "top": $(window).scrollTop() + 100,
        "width": $(window).width() - 50, "left": "25px", "text-align": "center"
    })
    .appendTo($("body"))
    .delay(2500)
    .fadeOut(400, function () {
        $(this).remove();
    });
}

function Nav_ChangePage(new_page, direction) {
    prev_page = $.mobile.activePage[0].id;
    direction = typeof direction !== 'undefined' ? direction : 'forward';
    if (cur_device == 'Andriod') {
        $.mobile.changePage('#' + new_page, { transition: 'none'});
    }
    else {
        if (direction == 'reverse')
            $.mobile.changePage('#' + new_page, { transition: 'slide', reverse: true });
        else
            $.mobile.changePage('#' + new_page, { transition: 'slide', reverse: false });
    }
}

function PrettyText(sender) {
    //$(sender).val(toTitleCase($(sender).val()));
    var strings = $(sender).val();
    var i = 1;
    var ch = '';
    var final_string = strings.charAt(0).toUpperCase();
    var bSpace = false;
    while (i <= strings.length) {
        character = strings.charAt(i);
        if (i > 1 && strings.charAt(i - 1) == ' ') {
            if (!isNaN(character * 1)) {
                final_string += character;
            }
            else {
                final_string += character.toUpperCase();
            }
        }
        else {
            final_string += character;
        }
        i++;
    }
    $(sender).val(final_string);
}

function toTitleCase(str) {
    return str.replace(/\w\S*/g, function (txt) { return txt.charAt(0).toUpperCase() + txt.substr(1).toLowerCase(); });
}

function html_encode(s) {
    encodedHtml = escape(s);
    encodedHtml = encodedHtml.replace(/\//g, "%2F");
    encodedHtml = encodedHtml.replace(/\?/g, "%3F");
    encodedHtml = encodedHtml.replace(/=/g, "%3D");
    encodedHtml = encodedHtml.replace(/&/g, "%26");
    encodedHtml = encodedHtml.replace(/@/g, "%40");
    return encodedHtml;
}

function getVariableDump() {
    var data = {
        'user_id': user_id,
        'cur_meet_id': cur_meet_id,
        'cur_meet_name': cur_meet_name,
        'cur_session_id': cur_session_id,
        'cur_session_name': cur_session_name,
        'cur_sort_col': cur_sort_col,
        'cur_age_filter': cur_age_filter,
        'cur_level_filter': cur_level_filter,
        'cur_gym_filter': cur_level_filter,
        'cur_gym': cur_gym,
        'cur_page_limit': cur_page_limit,
        'cur_event_type_id': cur_event_type_id,
        'cur_single_gymnast_number': cur_single_gymnast_number,
        'cur_single_gymnast_score': cur_single_gymnast_score,
        'cur_added_score_list': cur_added_score_list,
        'cur_gymnast_info_data': cur_gymnast_info_data,
        'bRefreshSession': bRefreshSession,
        'cur_selected_state': cur_selected_state,
        'show_ads': show_ads,
        'curtime': new Date()
    }
    return JSON.stringify(data);
}

function setVarsFromJSON(data) {
    var CurJson = JSON.parse(data);
    var dCur = new Date();
    var dPrev = new Date(CurJson.curtime);
    var diff = dCur.getTime() - dPrev.getTime();
    var diffMin = (diff / 1000) / 60;
    if (diffMin < 120) {
        user_id = CurJson.user_id;
        cur_meet_id = CurJson.cur_meet_id;
        cur_meet_name = CurJson.cur_meet_name;
        cur_session_id = CurJson.cur_session_id;
        cur_session_name = CurJson.cur_session_name;
        cur_sort_col = CurJson.cur_sort_col;
        cur_age_filter = CurJson.cur_age_filter;
        cur_level_filter = CurJson.cur_level_filter;
        cur_gym = CurJson.cur_gym;
        cur_page_limit = CurJson.cur_page_limit;
        cur_event_type_id = CurJson.cur_event_type_id;
        cur_single_gymnast_number = CurJson.cur_single_gymnast_number;
        cur_single_gymnast_score = CurJson.cur_single_gymnast_score;
        cur_added_score_list = CurJson.cur_added_score_list;
        cur_gymnast_info_data = CurJson.cur_gymnast_info_data;
        bRefreshSession = CurJson.bRefreshSession;
        cur_selected_state = CurJson.cur_selected_state;
        show_ads = CurJson.show_ads;
        if (cur_age_filter == "")
            cur_age_filter = new Array();
        if (cur_level_filter == "")
            cur_level_filter = new Array();
        if (cur_gym_filter == "")
            cur_gym_filter = new Array();

    }
}

